/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import <AppKit/AppKit.h>
 
@class PerforceConfiguration;

@interface PerforceConfigurationsList : NSObject <NSCopying, NSCoding>
{
	NSMutableArray*	fConfigurations;
	int				fActiveConfiguration;
}

- (void) addConfiguration:(PerforceConfiguration*)config;
// add the configuration to the end of the list

- (void) removeConfigurationAtIndex:(int)n;
// remove the configuration at n
	   
	   
- (void) setActiveConfiguration:(int)newActive;
// sets the active config

- (int) indexOfActiveConfiguration;
// returns the index of the active config

- (PerforceConfiguration*) activeConfiguration;
// returns the active configuration

- (int) count;
// returns the number of configurations

- (PerforceConfiguration*) configurationAtIndex:(int)n;
// return config at n

- (int) indexOfConfigurationNamed:(NSString*)configName;
// returns the index of the config matching configName or -1 or none.

- (NSString*) activePort;
// port for active config

- (NSString*) activeHost;
// host for active config

- (NSString*) activeUser;
// user for active config

- (NSString*) activeClient;
// client for active config

- (NSString*) activePasswd;
// passwd for active config

@end
